package com.ruoyi.syzy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 院校特色专业对象 b_busi_wish_universities_profession
 *
 * @author mingxue
 * @date 2022-06-22
 */
public class BBusiWishUniversitiesProfession extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private String id;

    /** 学校编码 */
    @Excel(name = "学校编码")
    private String collegeCode;

    /** country国家级、province省级 */
    @Excel(name = "country国家级、province省级")
    private String type;

    /** 专业编码 */
    @Excel(name = "专业编码")
    private String code;

    /** 专业名称 */
    @Excel(name = "专业名称")
    private String name;

    /** 专业层次 */
    @Excel(name = "专业层次")
    private String professionType;
    @Excel(name = "排名")
    private Integer ranking;
    private Integer count;

    private Boolean hot;

    private String examType;

    private String enrollCode;

    private String majorDirection;

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public Integer getRanking() {
        return ranking;
    }

    public void setRanking(Integer ranking) {
        this.ranking = ranking;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public BBusiWishUniversitiesProfession setCollegeCode(String collegeCode)
    {
        this.collegeCode = collegeCode;
        return this;
    }

    public String getCollegeCode()
    {
        return collegeCode;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setCode(String code)
    {
        this.code = code;
    }

    public String getCode()
    {
        return code;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setProfessionType(String professionType)
    {
        this.professionType = professionType;
    }

    public String getProfessionType()
    {
        return professionType;
    }

    public Boolean getHot() {
        return hot;
    }

    public void setHot(Boolean hot) {
        this.hot = hot;
    }

    public String getExamType() {
        return examType;
    }

    public void setExamType(String examType) {
        this.examType = examType;
    }

    public String getEnrollCode() {
        return enrollCode;
    }

    public void setEnrollCode(String enrollCode) {
        this.enrollCode = enrollCode;
    }

    public String getMajorDirection() {
        return majorDirection;
    }

    public void setMajorDirection(String majorDirection) {
        this.majorDirection = majorDirection;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("collegeCode", getCollegeCode())
            .append("type", getType())
            .append("code", getCode())
            .append("name", getName())
            .append("professionType", getProfessionType())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
